#  Python utilities
import unittest

# Coding problem
from diagonal_difference.diagonal_difference import main


class DiagonalDifferenceTests(unittest.TestCase):

    def test_case_one(self):
        n = 3
        arr = [
            [11, 2, 4],
            [4, 5, 6],
            [10, 8, -12],
        ]
        self.assertEqual(main(arr), 15)

    def test_case_two(self):
        n = 9
        arr = [
            [6, 6, 7, -10, 9, -3, 8, 9, -1],
            [9, 7, -10, 6, 4, 1, 6, 1, 1],
            [-1, -2, 4, -6, 1, -4, -6, 3, 9],
            [-8, 7, 6, -1, -6, -6, 6, -7, 2],
            [-10, -4, 9, 1, -7, 8, -5, 3, -5],
            [-8, -3, -4, 2, -3, 7, -5, 1, -5],
            [-2, -7, -4, 8, 3, -1, 8, 2, 3],
            [-3, 4, 6, -7, -7, -8, -3, 9, -6],
            [-2, 0, 5, 4, 4, 4, -3, 3, 0]
        ]
        self.assertEqual(main(arr), 52)

    def test_case_three(self):
        n = 59
        arr = [
            [100, 65, -17, -77, 58, 81, -90, 56, 7, -60, -75, 84, 22, -36, -99, 41, 55, -25, 52, -50, 67, 52, -100, 42, -67, 35, -54, -48, 25, 63, 14, -29, 38, 40, 55, 8, 62, 36, -57, 48, 51, -92, -50, -85, 100, -46, 31, -94, 67, 80, 97, -27, 74, -77, 54, 34, 96, 6, -100],
            [-78, 100, -3, 87, 37, -47, 95, 44, -72, -10, 52, -21, 99, 80, 36, 67, 72, -17, 58, 0, 36, -58, -74, 30, -75, 55, -18, -14, 90, 81, 96, -6, -10, 65, 88, 14, 41, 17, -3, 66, -7, -88, -47, 60, -26, -12, 28, 49, -42, 60, 94, -37, -29, 63, 8, -7, -19, -100, 52],
            [68, -16, 100, -71, 60, 89, 31, 30, -79, -80, -38, -44, 6, -45, -45, 16, 17, 94, 15, -48, 31, 31, 34, -34, -74, 78, -30, 2, 44, 88, -8, -40, -58, 82, 34, -4, 10, -20, 81, -71, -29, -24, -15, 51, -51, -68, -39, -26, 22, -92, -93, 14, 83, -21, 83, -94, -100, -45, -77],
            [-88, -68, 16, 100, -37, 83, -63, 8, -92, -57, -39, -75, -18, -54, 0, 90, -81, -32, -73, -83, -98, -34, 80, -92, -48, 67, -10, 94, -59, -19, -6, 21, 76, 40, -79, 85, 81, 13, 12, 17, 40, -2, -49, -48, -23, -99, 4, -91, 100, 51, -7, -90, -17, -92, 46, -100, -12, 56, 92],
            [61, -33, -20, 83, 100, -50, 68, 35, -65, 63, 67, 98, -47, 5, -14, 25, 16, 83, 21, -59, 67, 84, 13, -75, -17, -76, -23, -84, 74, -68, 47, 98, 24, -57, -30, 1, 77, 55, 39, -36, 54, 73, 16, 31, -71, -11, -86, 6, 7, 35, 22, 94, -17, 47, -100, -29, 70, 30, 68],
            [36, 65, -8, 30, -68, 100, 13, -7, -19, 13, 94, -12, 15, -78, -35, -54, -88, -31, -93, -84, -30, -2, -76, -62, -20, -52, 72, 13, 75, 6, -19, 56, 9, 28, 33, -68, -39, 4, -70, 82, 52, 71, 22, 35, 52, -52, -97, -20, 0, -71, 22, 99, -56, -100, 93, 95, 93, 100, 8],
            [44, 22, -96, 34, -18, -27, 100, 88, 35, 43, 44, -70, -3, -30, 57, -73, 37, 61, 19, 14, 77, 96, -90, -38, 21, 41, 48, -25, -26, -94, -47, -83, 32, 67, 8, 63, -19, 56, -87, 35, 84, 78, 21, 53, -43, -43, 100, -89, 94, 86, 3, -14, -100, -78, -45, 56, -15, 37, -42],
            [92, 41, 5, -39, 97, -52, 76, 100, -100, 75, -43, -83, 13, 42, -92, 19, -28, 26, -24, -75, 100, 97, 99, 98, 75, 77, 12, -39, 51, 80, -90, 11, -57, -42, -42, -5, 92, -21, 12, -91, -11, 99, -26, 38, 48, 48, 16, 91, -89, 64, 62, -100, -15, -5, -56, -13, -80, 6, -87],
            [-32, -46, 52, -60, -81, -24, 80, 97, 100, 87, 61, -92, -11, 86, -34, -67, -2, 14, 3, -19, -8, -29, -65, 42, 99, 38, -77, 19, -46, -45, -2, -66, 70, 3, 45, -49, -96, 40, 75, 22, -90, -40, 49, 44, 39, -20, 87, -93, 71, -50, -100, 45, 94, -50, 13, -4, -34, 86, -56],
            [32, -7, 80, -21, 90, 38, 99, -53, -28, 100, 100, 27, 17, 16, -56, -48, 78, 38, 67, 75, 16, -61, -37, 66, -23, 39, -72, 81, 33, -26, -75, 65, -5, 97, -70, -99, 54, -1, -61, 65, 62, 70, -89, 17, -48, -68, -7, -56, 24, -100, -18, 52, -57, 41, 65, 100, -99, 39, 27],
            [19, 58, -28, 86, 46, -40, 2, -79, -77, 97, 100, -81, -3, 5, -12, -41, 28, 73, 18, -73, 90, 0, -81, -33, 88, 78, -64, -26, -30, 50, -74, 98, -93, 21, -44, -18, -79, -35, 76, -29, -67, 62, 19, 41, 21, -94, -46, -86, -100, -34, 34, -50, 3, -20, -81, -26, -99, 33, 58],
            [83, -39, 64, -2, -41, 33, -92, 91, 34, 51, 87, 100, -39, 69, -97, 68, 46, -93, -17, 13, -31, -67, 86, -3, -15, 36, 90, 15, 58, 19, -94, -77, 7, -46, 82, 59, -34, -98, 7, 27, 58, -19, 32, 32, -74, 4, 79, -100, -93, 36, 17, -94, -5, -96, -11, -28, -45, 97, 19],
            [-23, -52, 47, 84, -38, 60, -51, -9, 16, -89, -2, -29, 100, -94, 81, -24, 78, 73, -54, -11, 99, -1, -43, 73, -41, 65, -82, -61, -37, -22, -88, 65, 47, -45, 0, -15, -38, 17, -24, 100, -37, 50, 39, -38, -71, 11, -100, -82, -39, 100, -59, -13, 33, 48, 77, -10, 24, -27, 92],
            [62, -73, -87, 93, -35, -21, 38, -68, 72, 62, -29, 42, 82, 100, 55, 15, 36, -10, 37, 46, -32, 21, -11, -18, -96, -52, -73, -13, 46, 22, 40, 4, -65, 56, 9, 69, -11, 60, -19, 100, -14, -66, 66, 36, -66, -100, -21, -90, 60, 28, -78, 60, 32, -81, -45, -36, -67, 9, 27],
            [83, -82, 12, -2, -67, 27, 44, -9, 86, -14, 49, 60, 20, -30, 100, -24, 98, 10, 90, 72, 28, -92, -84, 55, -85, 75, -53, 28, 8, 18, -13, 91, 48, -17, 6, -75, 15, 46, 79, -58, 72, 40, -85, 0, -100, 19, 85, -82, 75, -90, 58, 49, 80, 82, -12, -74, 52, 29, -36],
            [40, 52, 44, -12, -59, -7, 77, -53, -76, -91, -9, -45, -10, 94, 93, 100, -65, -35, 21, -34, -12, -91, -94, 24, -42, -89, 25, -88, 96, 43, 35, 17, -85, 11, -61, 23, -54, 48, -39, -85, 44, 40, -20, -100, -26, -100, -58, -29, 100, 52, 79, 76, -95, -41, 84, 17, -39, 40, -10],
            [89, -80, -25, -64, 77, 66, 100, -70, -36, -41, 49, 38, -2, -14, 44, 44, 100, 8, 95, -37, -21, 48, -19, 94, -78, 8, -60, 20, 37, -66, -35, 76, 34, -18, -5, 6, -5, -35, 83, 50, 19, -65, -100, -70, -91, 71, 19, 6, 26, 66, -67, 63, -50, 52, 13, 25, 94, 88, 69],
            [-67, -77, 37, 92, 9, 69, 20, 18, 2, 47, 13, 83, -24, -6, 33, -31, 75, 100, 99, 25, 55, 7, 31, -71, -97, -56, -34, 30, 77, -4, -84, -55, -93, 65, 60, 28, 51, -4, 19, -68, 76, -100, 93, 40, 92, 78, -81, -34, 57, -85, 47, 93, -67, 19, 32, 85, -61, -44, 61],
            [14, -52, -61, 62, 17, 62, -86, 66, -10, -3, 41, -42, -31, 86, -78, -39, -92, -13, 100, -19, -16, -14, -55, -15, -17, 74, -57, 2, -7, 91, 77, -34, 20, -64, 96, 78, 23, 38, -2, -23, -100, 5, 19, 88, -73, -75, -38, 52, -36, 35, 51, 84, 1, 48, 23, -8, -31, -72, 67],
            [45, 94, -52, 87, -6, -82, -89, 54, 34, 15, 16, 1, 23, 79, -6, -17, 17, 6, 35, 100, -80, 55, 98, -94, -77, 99, 11, -70, 47, 85, 61, -39, -51, 6, 40, 38, -21, -62, -54, -100, 95, 29, 52, 91, -84, -99, 93, -49, -23, 57, -33, -4, -82, -25, -78, 68, -77, -67, 42],
            [12, 20, -75, 67, -37, 6, 62, 9, -73, -76, 94, 12, -6, -73, -29, 48, 16, -3, -88, 81, 100, 5, 30, 87, -74, 81, -54, 39, -92, -88, 3, -52, -99, -43, 81, 91, 50, 96, -100, -76, -44, 89, -8, -58, 9, 55, 62, 30, -75, -85, -62, 7, 74, 38, -76, -6, -84, 61, -36],
            [-5, -1, 53, -7, -73, 95, 1, -92, -38, -94, 28, -57, 1, 2, -26, 99, 92, -40, -69, 26, -53, 100, -25, 72, 38, -94, -16, -84, 73, -74, 85, -4, -89, -92, -72, -59, 45, -100, -22, 14, 51, 0, 92, 59, -38, -25, 49, -28, -71, 89, -39, -98, -29, 67, 72, -12, -10, 69, -98],
            [-31, -52, 70, 60, 41, 82, 75, 73, -7, -73, 91, -95, 6, -54, 75, -52, -73, 5, -31, 58, 55, 41, 100, 87, 18, -55, -99, -20, -39, -80, 42, -2, -97, -35, -25, -12, -100, 100, -44, 49, -11, -90, -16, -45, 37, -24, -35, -70, 25, -13, -22, -51, -73, 8, 25, 75, 66, 58, -90],
            [8, -42, -20, -48, -55, 45, -57, 53, -7, 32, -79, 5, 59, -49, 19, 15, 38, -51, 90, 20, 94, 58, -65, 100, -40, -57, 100, 2, 67, 62, -3, -75, -43, -42, -36, -100, -88, -100, -46, 55, -67, 57, -57, 86, 45, -41, -73, 77, 93, 24, -16, 85, 36, -84, -52, -39, 8, 69, 34],
            [82, -45, 54, -31, -93, -25, 42, 11, -46, 39, 8, -42, -100, -24, -7, -10, 2, -86, 22, 61, -33, 51, 16, -29, 100, 88, 1, 8, 41, 54, 99, 61, 77, 17, -100, -17, -2, -78, 70, 1, -49, -59, -54, 81, 56, -72, -40, -55, -17, 41, -13, -66, -89, -29, -93, -53, 22, 58, 65],
            [-31, -12, 26, 39, -41, 59, 70, -83, -32, 84, -59, 82, 15, 22, -63, -51, 68, 63, 64, 98, -30, 64, -79, -68, 71, 100, -95, 41, 52, -89, -34, 67, 20, -100, -55, -92, -78, 97, 86, 71, 29, 1, 76, -10, -24, -100, -31, -81, 28, 53, -65, 45, 24, -16, -42, -36, -65, 36, -81],
            [-62, 91, -70, -2, 72, -22, 57, -38, -10, 81, -63, -59, -49, -15, -92, 94, -18, -76, -97, -92, 39, 36, 16, 97, 85, -78, 100, -19, 76, 7, -10, 10, -100, 98, -77, 92, 18, 35, 42, -8, 57, -83, 68, -77, -73, 71, 43, 88, -38, 59, 72, 35, 45, 50, 69, 86, 29, -62, -67],
            [68, -88, 3, 73, -6, -99, 47, -43, -62, -24, 83, 79, 0, -8, -82, -42, -53, -30, 39, 33, -61, 23, -86, 10, -40, 51, 34, 100, 49, -62, -8, -100, 96, 6, -85, 62, -39, 45, 16, -31, 23, 7, -64, -90, -92, -39, 58, -91, -47, -43, -55, 32, 19, -61, -44, 8, 99, -74, 28],
            [100, -67, -73, -52, 3, -66, 34, -2, -46, 17, -1, 77, -20, 97, -18, 81, -37, 1, -50, 33, 67, -26, 82, 24, -43, 84, -10, -97, 100, 24, -100, 56, -51, -3, -57, -89, 95, -52, -92, 40, -76, 51, -19, -43, 35, 48, -64, 23, -33, 33, -68, -35, 44, 58, -55, 15, 20, 31, -81],
            [-59, -97, -79, -13, -53, 51, 66, -65, -25, 73, -94, -30, -68, -93, -87, -49, -55, 29, -27, 44, 98, 61, 91, 68, 64, 71, -86, -20, -91, 100, -20, -19, 76, -74, 92, -6, -13, -7, -54, 20, 1, 46, -96, -6, 78, -55, -34, 29, 85, 81, 58, -54, 47, -13, 82, -56, 0, -67, -56],
            [-57, 44, -40, -100, -15, -65, -88, -4, -18, -12, 54, -59, -40, -88, 57, 72, -30, -80, 79, 22, -26, 34, 9, -89, -88, 1, -88, -80, -100, -92, 100, 94, -36, -91, -42, -97, 36, 68, 35, -44, 52, 58, 73, 12, -41, -12, -47, -73, -47, -94, -94, 85, 37, 57, 22, -27, -82, 71, 25],
            [53, 29, -92, 5, 37, -12, -83, -93, -32, -11, -57, -39, -29, -35, -60, 25, 89, 67, -55, 91, -10, 78, 30, 1, -72, 45, -76, -100, 84, 13, -10, 100, 70, 58, -65, 52, -23, 46, -66, 33, 76, 25, 56, -5, 94, 67, -44, 11, -7, -95, -79, -31, 14, 65, 54, -50, -80, 13, -33],
            [72, -64, -76, 70, 29, -75, 35, -64, -25, 77, 38, 15, 100, 14, -88, 29, -24, 9, -3, 52, -8, 31, 97, 73, -16, -39, -100, -44, 49, -65, -21, -5, 100, -11, -43, -31, 24, -29, -8, 13, 91, -44, -59, 74, -81, -35, -44, 10, -48, 2, 11, 18, 79, 67, 95, -51, 44, 2, 57],
            [76, -48, -22, -17, -20, 30, -63, 55, 91, -95, -71, -43, 37, 71, 10, -40, -71, 56, -28, -6, 94, 53, -13, -37, 87, -100, -28, 20, -23, -25, -15, -96, -87, 100, 1, 81, 100, 20, 89, -67, -97, -46, 66, 16, -83, -38, 38, -25, 5, -6, 43, 42, 5, -89, 73, -49, -65, 10, 16],
            [67, -34, 51, 70, 20, 17, -31, 18, -43, -11, 10, 39, 86, 90, -91, -35, -90, 31, 56, 54, 29, 36, 6, -16, -100, 2, 57, 70, 55, -2, 69, 97, 51, -45, 100, -8, -59, 50, 5, -62, -22, -42, 8, 32, -48, -59, -53, -10, 24, -34, -83, -35, 24, 47, 45, -14, -87, -25, -14],
            [-93, 36, -83, -1, 74, -99, -62, -86, 49, -11, 5, -5, -44, 24, 6, -40, -94, -8, -60, 98, -52, -7, -44, -100, 65, 34, -29, -25, 0, -83, -98, 29, -70, 64, 41, 100, -23, -46, 42, 37, 58, 88, -90, -3, 61, -34, -92, -10, 86, 80, -28, 34, -38, -12, -66, -22, 84, -69, -81],
            [15, -16, -37, 71, 24, -37, -89, 23, 67, -44, -47, -54, 99, 69, 84, -37, -33, -65, -72, 50, -98, 45, -100, 57, -91, 49, -10, 71, -38, 22, 77, 26, 22, 14, -87, 86, 100, 55, -71, -48, 86, -56, -83, 53, 35, -4, 84, 100, 52, -57, -95, 0, -55, -66, 34, 71, 90, -25, -8],
            [-41, 94, -75, 63, 42, -74, -83, 63, 89, 55, 29, -84, -74, -22, 47, -92, 90, -20, 97, 40, 41, -100, -87, -15, 44, 86, 6, 63, 49, 40, -33, -39, -42, -59, 45, -32, -13, 100, -20, 80, -100, 24, -100, -93, 4, 18, -34, 96, -79, -11, -43, 4, 95, -69, 28, -22, -16, -78, 37],
            [47, -17, 30, -7, -20, -40, -60, 10, -8, -93, -55, -6, -1, 81, -30, -35, 6, -93, -26, -20, -100, 77, -86, 97, -16, -77, 46, 34, 38, 44, 38, 55, -94, 83, -87, -2, -74, -46, 100, 4, -85, 29, 37, 55, 54, 48, 75, 80, 29, -91, 50, -64, 74, 90, 0, 91, -48, 52, -74],
            [67, -86, 68, 55, 37, 75, -43, -40, 72, -7, 44, -73, -22, -97, -14, -46, 15, -98, -60, -100, -97, -39, 73, 33, 88, 38, 88, -19, -91, 65, 88, -8, -76, -81, 51, 18, -23, -92, -38, 100, -61, -14, -16, -79, -90, -52, -9, 27, 96, -76, 82, -75, 30, 77, -14, -56, 3, -42, -55],
            [-99, 47, 99, 90, -84, -96, -100, -89, 6, 25, 82, 46, -80, -94, -91, 47, 36, -34, -100, 31, -76, -30, 5, -28, -45, -57, 31, -69, 53, -11, -27, -73, -26, -2, -56, -12, 15, 46, 98, 82, 100, -64, -4, -19, -76, -69, -72, 52, -7, 20, -64, 60, -47, 3, -85, 87, 88, -90, -80],
            [-37, 8, 93, 35, -85, 72, 22, -91, 38, -37, -71, -41, -46, 95, 53, 17, -77, -100, -43, -19, -91, -2, -48, -52, 100, 98, 30, 88, 95, 67, -69, -92, 94, 21, 42, 86, -86, -82, 53, -41, -46, 100, -41, 67, -39, -31, 94, 56, 14, -63, 59, 93, 69, 37, 0, -35, 63, 34, -17],
            [-79, 61, -28, 90, 43, -60, 2, 67, 68, -78, -78, 13, 80, -23, -84, 18, -100, -65, -73, -15, 2, -100, -80, 38, 71, -64, -82, 65, -73, 48, -77, 42, 61, -96, 93, 81, -23, -64, 51, 83, 74, -88, 100, -62, 77, -70, -85, 92, -40, 50, 23, -91, -63, -68, -19, 3, 21, -53, 33],
            [-25, -43, 91, 79, 0, 95, -10, 25, 95, 1, -20, 9, 83, -58, -84, -100, -46, 51, -57, 80, -64, -71, -42, 48, -100, 77, -29, 81, 90, 98, 36, -45, -21, 65, 92, -56, 27, 50, -66, -25, 96, 59, 45, 100, -7, 68, -43, -6, -47, 37, 54, 67, -70, -12, -87, 2, -58, -8, -59],
            [-80, -17, -3, -39, -65, -34, 46, 3, -47, -99, -89, -32, 65, -69, -100, -79, 3, 98, 10, 42, 19, -20, 75, -4, -5, -87, 59, -3, -86, -51, -70, -45, 72, 54, -11, -8, 23, 66, 66, -7, -67, 59, -28, 37, 100, -63, 25, 66, 94, 8, 68, 80, 72, -12, -51, 49, 14, 37, 4],
            [25, -33, 37, -85, -66, -94, -36, -90, -12, -66, 70, 33, -11, -100, -1, 66, -94, -33, 17, -78, 94, -56, -79, -77, 64, -19, 4, 72, 31, 68, 28, 19, 54, -84, 78, 90, 93, 28, -56, 14, -55, -56, 10, -79, 83, 100, -5, -10, 54, -22, -7, 9, -100, -31, 6, 0, -59, 30, -78],
            [85, -32, 17, -88, 18, 69, 41, 17, -67, 97, 78, -51, -100, -83, 93, -58, 72, 12, 9, 6, -36, -17, 30, -21, 63, -24, 34, 42, -50, 8, -28, -18, -10, 10, -90, -61, -22, 86, -78, -87, 15, 55, -81, -70, 13, -67, 100, -55, -32, 72, 59, -80, 37, -77, -52, 64, 96, -4, -89],
            [-2, 38, -36, 63, -81, -16, 40, -32, -20, 44, 87, -100, 64, 33, 26, -58, 37, 71, 29, 82, 69, 100, 8, 88, 19, 95, -26, 10, 25, 65, 80, 23, -68, -40, 53, 100, 24, -33, -79, 38, 38, -2, -44, 78, -36, 54, -40, 100, -5, -31, -49, -97, -91, 18, 56, -45, 0, -88, 15],
            [12, 91, -91, 4, 1, 80, 69, 53, -88, 74, -100, 86, 34, 84, 35, -8, -21, -11, -100, -4, 51, 73, -71, -60, -73, 7, -78, 49, -45, 53, 75, -72, -39, -68, 65, 21, -97, 78, 53, 8, -27, -15, 47, 54, 57, -35, -72, -94, 100, 54, 60, 74, 46, -57, -4, 31, -10, 28, 19],
            [-30, -98, -52, 6, -17, -10, 27, 43, -16, -100, 59, -37, 82, 60, 42, 60, 83, -30, 34, -82, -50, -77, -48, 17, -90, 7, 65, -86, -48, 10, 5, -7, -24, -12, -24, 53, 33, -76, 90, 73, -38, -61, -13, -8, -30, -99, -77, 55, 31, 100, -52, -13, 83, 72, 95, -67, 81, -15, -11],
            [63, 45, -91, -6, -70, -9, -18, 100, -100, -85, -50, -77, 33, 10, 66, 76, -42, -73, -56, -2, 75, -31, 94, 19, 89, 8, -40, 79, -52, -27, 71, -27, -78, -75, -56, -30, 55, 80, 57, 38, -23, -39, -23, 1, -77, 44, -30, 19, -64, -28, 100, 69, 13, -95, -3, -95, 9, 6, 80],
            [-22, 88, 63, 79, 21, 6, 10, -100, -61, 25, -74, -32, 49, -25, 1, -67, -100, 41, 27, 36, -82, -59, 64, 81, -25, -54, -59, 14, -72, -1, -5, -55, 63, -12, 43, -58, 74, 83, -20, -60, 7, -92, 80, 32, 32, -69, 15, -42, -30, 54, 88, 100, -54, 13, -17, 23, -64, -21, -21],
            [-70, 44, 25, 52, -21, 28, -100, 78, -88, -23, -67, 37, -24, 23, 1, 36, -2, 11, -87, -37, 91, 89, -83, 90, 59, 73, 30, 96, 2, -55, -15, 4, -50, -86, 86, 45, -33, 30, 1, -52, -45, -88, -63, 68, -64, -30, 46, -63, 11, 85, 21, -20, 100, -81, -16, -25, 69, -22, 74],
            [93, 95, 21, 36, -58, -100, 18, 60, 9, -93, -8, -14, -81, -88, 40, -65, 79, 17, -33, -69, -11, 55, -87, 54, -99, 80, 60, 23, -56, -98, 52, -32, -35, 76, -67, 25, 2, 83, -67, -77, -81, 41, 36, 59, -80, 5, -89, 5, 92, 40, 14, 64, 42, 100, -84, -30, 42, 89, 72],
            [-42, 64, -79, 14, -100, 19, -21, 5, -90, -81, 34, 96, 19, 77, 57, -86, 54, 50, -76, -93, 70, -21, -77, -44, 12, 63, 58, -18, -26, 11, 83, 95, -36, -67, 87, 94, -64, -60, -14, 86, 36, -75, -3, 24, 45, -68, -52, -35, 19, 11, 71, 31, -36, 54, 100, -28, -77, 47, 2],
            [-82, 57, 49, -100, 62, 49, 13, -88, -78, -30, -78, 20, 36, 68, 97, -59, 79, 7, -72, -54, -36, -44, 38, -34, 92, 22, 93, 47, 81, -14, 20, -30, -54, 64, -20, -30, -65, 58, 49, -37, -94, -42, 19, 0, 86, -42, -100, 52, 2, -38, -16, 40, 70, -7, -91, 100, -71, -29, -38],
            [-33, 17, -100, 89, 38, 85, 63, 55, 97, -3, 79, 91, 21, 83, 42, -77, 58, 98, -39, -2, -91, -51, -67, -91, 91, 60, 52, -87, -22, -32, -85, -89, -97, -45, 30, 34, -79, 45, 58, -33, -94, 71, -36, -22, -14, 27, -69, 91, 100, -39, -19, -49, 45, 61, -45, -35, 100, -40, -87],
            [0, -100, 70, 66, 5, 27, -52, 39, 27, -41, 73, -30, 66, -47, -57, -35, 54, 2, 22, 80, -83, 4, -53, 3, 56, 99, 80, -39, 22, 11, 51, -10, 100, -61, 34, -78, -91, -57, 63, 11, -1, 0, 11, -29, -35, -38, 63, 58, 9, -47, -12, -86, -27, -99, 9, -30, 5, 100, -65],
            [-100, -36, 16, -63, 71, 19, -72, 1, -84, 93, -75, 8, 68, 12, 87, -16, -9, 99, -2, -60, 29, -7, 95, -44, -50, 29, -52, 28, -52, 82, 84, -66, 36, 9, 11, 45, -92, 8, 3, 58, 90, 36, -1, -58, -54, -2, -88, 98, 20, 73, 5, -15, 5, 100, -96, -59, -13, -64, 100]
        ]
        self.assertEqual(main(arr), 11600)

    def test_case_four(self):
        n = 100
        arr = [
            [100, 89, 69, 53, -33, -86, 1, -78, 97, 29, -67, -1, -93, -39, 62, -48, -29, -14, 49, -13, 4, 99, -39, -16, 4, 61, 65, -2, -69, 47, -23, 91, 39, -70, 72, 89, 20, -65, -57, 54, 70, -52, 7, -35, 24, -7, 100, 10, 82, -62, 23, -98, -50, -38, -23, -26, 14, -32, -26, -97, -100, -67, 33, 29, -83, -41, -92, -78, 100, 7, -13, -95, 9, -34, -25, -51, -52, 36, 35, 74, -4, 6, 18, 54, -5, 88, 47, 99, 98, 7, -45, -21, 46, 59, 88, 63, 81, 95, -14, -100],
            [-65, 100, 76, 50, -25, 5, 36, 67, -33, -6, -9, -34, -43, -34, -41, -78, -25, -73, 89, 72, -86, -50, 61, -20, 96, -9, 59, 23, -51, -45, 61, -67, -42, 12, 20, -68, 17, -95, 95, 57, -60, -16, 72, 69, -43, -76, 47, -86, -94, 30, -59, -71, 40, -14, -56, -80, -55, -62, 55, -69, -83, 17, -37, 9, -20, 74, 75, -27, -56, -97, -4, 29, -29, -41, 71, 78, 18, 73, 9, -70, -70, -36, -7, -13, -41, 52, -74, 93, 39, 10, 71, 44, 87, 78, -100, -43, -17, 61, -100, -19],
            [30, -42, 100, -48, -52, -31, 31, 43, 82, -45, -29, 29, -43, 70, 54, 4, -86, 77, -45, -52, -100, -21, -96, 27, 3, -43, 22, -50, 97, -28, -44, 38, 79, 66, -79, 12, -92, 42, 78, 29, -56, 99, 32, 74, 72, 63, 30, 80, 40, -40, -18, 9, -31, 97, -56, 52, 89, 41, -75, 65, -54, -83, -33, 32, -16, -34, 25, -86, -60, 50, -22, -87, 19, -26, -20, 77, 100, 20, -10, -71, -17, -44, -68, 6, 91, -50, 24, 59, 47, 41, -36, -50, -26, -21, 69, 71, 98, -100, 100, 84],
            [-88, -61, -23, 100, -73, -88, 17, -63, -26, -3, -97, -85, -78, 26, 20, 39, -33, -93, 20, -23, 47, -98, 1, 14, 94, 26, 91, 80, -22, 93, -43, 9, 55, 21, -72, -28, 85, -38, 56, -22, -48, -50, 59, 88, -41, 51, 99, -33, -51, 74, 49, 92, -53, 54, -69, -98, -62, 95, 2, -28, -62, -82, 94, 8, -90, -68, 10, -87, 97, -64, -8, 22, 24, 36, -47, 8, -6, 12, 75, 69, 62, 6, -98, 50, 94, -17, 52, -94, -54, -98, -88, -40, -60, -71, 63, 78, -100, -44, -33, -95],
            [-65, -30, -12, -3, 100, 13, 63, 18, -3, 100, -11, 60, 23, -24, -33, 83, -2, 98, 0, 65, -94, 25, -28, -100, -96, 53, -67, -90, 27, -18, 7, -84, -69, -22, 73, -50, 46, 60, 86, -61, 19, 33, -38, 88, 74, -35, 42, 1, 94, 45, 87, 24, -82, -16, -1, -81, -76, 27, -11, 82, 84, -14, 36, 7, -66, 83, -1, 20, 61, 85, -48, -78, -71, 78, 28, -82, -75, 81, 46, 85, 6, -46, 33, 64, 12, 23, 62, 35, 39, 98, -78, 36, -17, -44, -22, -100, 8, -61, -90, -23],
            [3, -41, 11, -71, -49, 100, -32, -31, -88, -8, 98, 2, 24, -42, -99, 34, -49, 7, 88, -51, 100, -36, 29, 93, -76, 83, 9, -40, -67, -35, -88, -88, -52, 10, -18, 84, -91, 77, -94, -94, 59, 63, 33, -3, -3, -76, -90, -30, 86, 14, -43, 85, 60, 81, -84, -91, -72, 65, -87, -88, -4, 68, 3, 89, -51, -100, 83, 88, -96, -75, 72, -88, -29, 45, -86, -21, -28, -73, 66, -39, -99, 72, -95, -22, 70, -91, -99, -83, 18, -78, 21, 11, 77, -68, -100, -81, 61, -61, 43, 89],
            [43, -40, -37, 29, -22, 91, 100, -9, -32, -17, -73, -90, -22, 11, -35, 80, 18, -56, -91, -24, 41, -49, -88, -56, -100, -90, 22, -90, 12, -92, -74, 96, 63, -57, 65, 40, 44, 58, -95, -43, 13, 83, 84, 70, -93, -40, -58, -71, 51, 41, -58, 83, 48, -7, 1, 6, 15, 34, 31, 38, 93, -23, 29, 63, -73, 98, 62, -62, -36, 33, -54, -97, 50, 16, 10, -97, -73, 83, 30, 34, 14, 52, 27, -86, -80, -69, -88, -97, 47, 23, 52, -69, -41, -100, -46, 36, -91, -86, -8, -69],
            [39, -43, -72, 65, -82, -82, -17, 100, -1, -31, -83, 78, -58, 63, -5, 92, 70, -84, 47, 85, -69, 29, 51, -40, 12, 57, -33, 35, -58, -48, 66, -100, 41, -20, 51, -16, 23, -66, 100, 1, -90, 49, 74, 19, 5, -71, 62, 61, 28, 20, -81, 87, -62, 82, 67, 29, 0, -46, 36, 77, 25, -55, -6, -67, 70, 76, 67, 21, -92, 85, 51, 2, 35, 77, -18, -41, -52, 19, 84, -100, -4, 61, 13, -35, 77, -2, 68, -25, -100, 40, 37, -21, -100, -93, 4, -54, 44, 99, 56, 4],
            [-95, 15, 35, 31, 17, -85, -25, -90, 100, 34, 71, -30, 25, 47, 18, -9, 68, -75, -45, 31, -18, 3, -88, 60, 22, -89, -94, 29, -81, 22, -4, -75, 49, 51, 63, 77, 61, 33, -16, 57, 45, -24, 12, 18, 33, 68, 0, 61, 24, 8, 14, 97, -25, -47, 49, 21, 33, 88, -93, 43, -65, 48, 71, -82, -93, -2, 73, 95, -74, -100, 7, -87, -51, -78, 69, -6, -51, -52, -16, 16, 37, 74, 12, -93, 54, 30, 17, -50, 39, -14, -88, -100, -85, 91, 16, -43, -29, -43, 44, 90],
            [83, -68, -96, -95, 12, 4, 83, 82, 43, 100, 17, -69, 38, 29, 87, -9, 19, 27, -28, -21, 13, 24, -5, -58, 93, 61, 53, -41, 55, -97, 80, 91, -60, 33, -25, 66, -32, 85, -81, -67, 32, -43, -70, -77, -42, -11, 63, 65, 93, -59, 51, 26, 50, -9, -67, -29, 53, 55, -37, -65, 79, 0, -56, -23, 52, 4, 28, -82, -70, 94, 23, -42, 72, 4, -3, -15, 18, 10, 36, 49, 98, -40, -62, -79, 72, -43, -12, 10, 27, 96, -100, -4, -92, 1, -24, -61, -77, 35, -22, 16],
            [26, 79, 96, 79, -2, -52, -11, -77, -11, 40, 100, -76, 35, -97, 95, -69, 33, 21, 55, -13, 25, 4, 20, 7, 8, 96, 73, -28, 57, 49, 7, 25, -74, -5, 40, -8, -91, 55, -17, 62, 44, 34, -69, -91, -72, 53, -47, -13, -13, -27, -77, 66, -80, 22, -14, -93, -33, -58, -41, 80, 88, -96, -94, 84, -97, 46, -18, 22, 77, -28, 17, 26, -37, 45, -19, -45, -4, 92, -19, -45, 35, -49, 14, 57, 10, 13, -66, 6, 100, -100, -12, 24, -75, -87, -11, 7, 71, 87, -28, 76],
            [-61, 65, 62, -11, 2, -4, -37, -63, -26, 4, -47, 100, -79, 71, 100, -22, -28, -7, 76, -32, 44, 24, -48, 30, -79, 5, -85, 39, -96, -39, 52, -94, 81, 75, -82, 2, 15, -76, -6, -2, 37, 45, -72, -89, 73, 30, -8, 3, 76, -30, 54, -53, -99, 22, -66, -8, -87, -7, -21, 74, -39, -99, -31, -18, -56, -53, -32, 32, -78, -41, 93, -29, 82, 83, 45, -23, 92, -1, 53, -27, -45, -41, 48, 78, 86, -91, -32, -7, -100, -40, 88, -96, -41, 30, 28, -9, -5, -29, -79, -4],
            [58, -42, -86, -59, -49, -74, 22, 18, 85, 6, 53, 60, 100, -19, 34, -81, -84, -7, -95, -21, -7, 95, 61, -45, 39, -54, -53, -69, 18, -1, -38, 84, -61, -68, 13, -24, -4, -85, 2, 48, -82, 26, 2, -86, 32, 87, 95, -79, 47, -36, 3, 54, -24, 36, -89, 19, -21, 78, 47, -90, -13, -53, 66, -55, 52, -43, 91, -100, -87, -14, 88, 14, -99, 10, -89, -22, -51, 4, -18, -62, 59, 78, 89, 28, 10, 17, 30, -100, 66, 77, 19, -28, 43, 87, 94, -44, -57, 87, 11, 0],
            [57, 98, -50, -48, 33, 54, 89, 57, -39, -35, 9, 55, 16, 100, -67, -15, -93, 70, -17, 73, -48, -27, -5, -76, 10, -14, 53, -88, 8, -86, 28, 42, 62, -99, -56, -38, 96, -93, -67, 10, -20, 86, -50, 21, -86, -46, -77, -10, 54, -84, 55, 93, 53, 22, 6, -47, 13, 77, 42, -44, -28, 97, -20, -23, -91, 32, -100, 74, -8, -81, -18, 32, -17, 26, 72, 36, 50, -10, -71, 55, -76, 68, -63, -86, -81, 88, -100, 80, -71, -29, 61, 29, -73, -10, 7, -53, -79, 69, 72, 31],
            [31, 40, -49, 73, -87, -36, 17, -65, -17, -72, -78, 78, -6, -70, 100, -35, 62, -29, 74, -87, 21, -40, -71, 32, -47, -97, -84, 17, -21, 15, 28, 1, -42, -35, 12, -3, -34, -8, -21, -19, -5, -10, -41, 4, 21, -31, -52, 69, -82, 90, 100, 53, 14, -96, -26, 12, 89, 78, 15, -58, 81, -25, -88, 17, -66, -20, -49, 95, -54, -60, -84, 16, -9, 77, 25, -71, -73, 85, 11, -18, -72, -12, -65, -68, 51, -100, -87, -27, 3, 70, 57, 52, 28, 43, 87, 79, 98, -13, 97, 61],
            [48, 31, -6, -37, -32, 32, -42, 99, -16, 28, -75, -17, -58, -93, 77, 100, -1, -51, -61, 4, 63, -77, -64, -52, 18, 2, 6, 25, -74, 83, -67, 59, -30, -96, 49, -78, 80, -62, 95, -6, 96, -83, -53, -41, -4, 47, 80, -64, -71, 76, -30, -49, -8, 55, 56, -100, -28, -88, 74, -60, 31, 31, 5, -56, -29, -10, 97, -88, 9, 78, 5, 87, 73, -93, 15, -27, -1, 77, -20, 72, 35, 39, -90, -86, -100, -52, 60, -5, -5, -98, -43, 26, -39, 56, -97, 58, -52, -52, -88, 39],
            [-11, -93, -67, -87, 80, 2, -74, -58, -12, 97, -41, 71, -46, 22, 65, -17, 100, 64, 18, 40, 74, 26, 52, 29, -63, 78, -34, -16, -70, -95, -14, 29, 73, -66, -29, 20, 29, -15, -14, 81, -27, 56, -59, -6, 51, 0, 9, -25, 71, -53, 82, -50, 22, 69, 79, 36, 90, 17, -39, -94, -28, -32, -28, 71, 70, -98, -97, -72, -78, 29, -7, 89, -41, 33, -60, -17, -44, -55, 92, -93, -86, -9, 31, -100, 1, -81, -46, -28, 80, -46, 41, 11, 80, -15, -77, 53, 47, 13, -56, -29],
            [-39, 71, -80, -45, 69, -97, -85, -25, -42, 20, -9, 74, 53, 0, 31, 14, 61, 100, 65, -58, 74, -53, -36, -5, 5, -40, -58, -32, 51, -15, -98, 89, 92, -16, 85, -17, 94, -56, 88, 75, 48, -12, -59, 24, 3, -51, -72, -71, 56, -72, 96, -12, 81, -83, -9, -77, 46, 66, 86, -68, 32, 36, -72, 94, -56, -60, 32, 45, -4, 51, 72, 37, -8, 2, 77, -39, 51, -7, -26, -12, -63, -68, -100, 45, 77, -70, 66, -21, 57, -74, 18, -64, -51, -37, -54, -44, 58, 40, -63, -63],
            [-18, 48, 30, -12, -58, 78, -18, -21, 62, -91, 8, 83, 41, -70, 31, -72, -86, -87, 100, -29, -2, -57, -90, 26, -30, 76, 52, 85, -18, 4, -98, 74, -70, -31, -90, 3, 85, 60, 36, -52, 99, -68, -67, -81, 60, 59, 56, 94, -59, -82, 74, 75, -86, 81, -97, 60, -51, -17, 1, 93, -24, -2, 97, -9, 22, -20, -91, -76, 29, 83, -58, 33, 93, -38, 12, 33, 46, -10, -34, 71, -17, -100, 84, 26, 50, -1, 65, -75, -51, 77, -16, 18, -75, 98, 9, -29, 47, -70, 10, -81],
            [-40, 35, -68, 94, -48, -35, -2, -31, 87, 33, 44, 82, 100, 62, 24, -80, -79, 14, 20, 100, 2, -85, -69, -79, 23, 95, 65, 75, -37, 20, -16, 64, -12, 45, -32, -57, -60, -13, 83, -19, 75, -35, -76, -33, -2, 64, 71, 40, 88, 88, -61, -47, 56, 77, -56, 56, 73, -80, -38, 86, -93, -13, 21, -63, -60, 18, 98, -96, -40, 27, -54, 72, -72, -93, 33, 71, -57, -93, -78, -45, -100, 53, -32, -87, -12, 97, 37, -31, 76, -13, -3, 3, 23, -34, -25, -88, -84, 6, -17, -94],
            [-80, -81, -20, -77, -67, 8, -3, 80, -10, 50, -50, 7, 95, -66, 41, 46, -57, 31, -63, 20, 100, -89, -3, -65, -7, -76, 61, 78, -17, 30, 23, 47, 19, -76, 23, 0, 85, -87, -64, 62, 83, -85, 51, 65, 100, -36, -21, 84, 9, -16, 55, -71, 96, -67, 48, 96, 90, 63, -85, 56, 24, 47, -96, -52, -15, 32, 77, 31, 2, -52, 21, 37, -65, 59, -8, 63, -31, 34, -86, -100, 62, 31, -21, -84, -32, -84, 64, 72, -12, -31, 71, 88, 15, -99, -62, -28, 71, -10, 37, 70],
            [-66, 51, 34, 42, 77, -42, -14, 93, 13, 80, -85, -73, 41, -84, -80, 62, -97, 100, 77, -62, -2, 100, -68, -16, 83, 55, 75, 75, -1, -90, 66, 73, 85, -38, -66, 95, -9, 37, -80, 44, 26, -71, 32, 68, -97, 50, 93, -95, -78, 4, 71, -14, -65, -42, 2, -62, -33, 24, 78, -87, -34, 15, -45, 52, 2, -21, -19, 60, -11, -27, 72, 83, 91, -23, 89, 73, 85, 79, -100, -83, 81, -8, -10, -10, -64, -23, -53, 57, 21, -55, 80, -40, 34, 75, -76, 71, -96, 84, 49, -96],
            [18, 51, 13, -71, 99, -42, 66, -4, -72, -48, -42, 59, 44, -36, -99, 98, -57, -5, -34, -94, 58, -85, 100, 43, -20, 18, 40, 22, -49, 52, -20, -22, 74, -51, -50, -46, 34, 5, -37, 49, 25, 55, -58, -65, -97, 12, 85, -13, -49, 43, 61, 0, -81, 100, -10, -9, 100, -66, -10, 14, 49, -97, 82, -4, -49, -77, 61, -68, 43, 58, -28, 38, 20, 84, -46, 63, -28, -100, -43, -75, -55, 9, 10, -91, 52, -15, -53, 98, -16, -33, 47, -32, -56, -9, -46, 33, 51, 78, -86, -9],
            [95, 41, 39, -10, -85, -87, 43, -23, 99, -86, -96, 94, 59, 82, 14, 70, 3, 35, -59, -58, 61, 91, 50, 100, -76, -82, 32, -86, -10, -41, -16, 18, -23, -6, -62, -79, 14, 74, 33, -92, 88, 27, 80, 5, 11, 71, -3, -77, -2, -58, 55, -39, 87, -69, 35, -12, -62, -67, -32, -81, 5, 88, -16, -50, 48, -32, 91, 1, 80, -58, -78, 83, -99, 60, 87, -33, -100, 58, 32, 2, -22, 23, 88, -3, 12, -32, -93, 24, 31, 52, 50, 10, -17, -68, -62, 11, 86, 68, -83, -24],
            [78, -53, -78, -7, -25, -26, 61, 78, -95, 22, -6, -33, -18, -9, 56, -25, -88, 32, -6, 27, -32, 26, 20, -46, 100, 20, -96, 82, -65, -89, -78, -99, -34, -46, 66, -61, -74, 66, -46, -69, -24, 67, 56, 38, 26, 67, 34, 70, 16, 89, -16, -74, 6, 44, 74, -98, -12, -31, -24, 69, 93, 50, 5, -46, 18, 23, 86, -95, -10, 55, 30, -88, 32, 42, 16, -100, -32, -67, 39, 91, -9, 72, 95, -75, 94, -68, 17, -63, -80, 6, 54, 48, -81, -87, -71, 85, -41, 30, -35, 75],
            [96, 4, 56, -24, -22, -31, -20, 76, -3, 18, 97, 78, -99, -18, 100, 86, 21, 26, -8, 34, -63, -10, 22, -11, 0, 100, -95, -46, 52, 15, -15, 72, -73, 67, 19, 66, 53, 50, 23, -37, -39, -12, 17, 80, 54, 32, -35, -40, 6, -50, 50, 81, 30, -55, 65, 77, -13, -4, 32, 4, -53, 11, -63, 20, -33, 14, 61, 54, -17, -43, 91, -1, -48, 75, -100, -36, -51, 1, 30, -66, -82, 97, -11, 92, -18, 83, 19, 57, 60, 25, -44, -69, -67, 94, -31, 23, 94, 95, 63, -37],
            [40, 56, 32, 22, 2, -30, 93, 15, -100, -59, -34, 77, 95, -37, -26, -66, 22, 93, -87, -24, 70, -77, 42, 37, 27, -23, 100, 53, -26, 16, -1, -88, -4, -7, 62, 65, -56, 84, 76, -59, -67, -60, 30, 35, -12, -98, -63, -21, -85, 99, -61, 12, -68, -23, 50, 84, -16, -13, 76, 26, -6, -80, -30, 73, 7, 90, -39, 42, -81, -81, -23, 76, -26, -100, 2, -24, 9, -53, -14, -62, 73, 48, 99, -67, -44, -80, -77, 25, -1, -62, 87, -97, 99, -49, -49, -27, -75, 1, 17, -13],
            [50, 98, 93, -61, 27, 56, 15, -91, -65, -28, 81, 52, -6, -90, -80, -51, -83, 88, 51, -23, -55, -74, 81, -34, 71, 17, -37, 100, 2, 2, -32, -82, 17, 88, -19, -28, 46, 83, 89, -19, -87, 43, -32, -63, -96, 80, 73, -45, -56, 94, 83, -8, -65, -29, -12, 0, -41, 95, 57, -43, 28, -97, 98, -30, 73, 6, 70, -62, -8, -23, 96, 71, -100, 50, 18, 9, -36, 52, -23, -63, -75, 39, 92, -29, 64, 81, -20, -22, 0, -89, -39, -35, 89, -77, -77, 21, -86, -21, -60, 59],
            [37, -63, 76, -51, 29, -46, -49, 75, -36, -19, 10, -85, -32, -89, 47, 10, -73, -74, -1, -10, 8, 19, -38, -92, -60, -3, 28, 93, 100, -26, -75, 75, 75, -3, 27, -98, -26, 41, 2, 79, 34, -82, 36, -29, -35, 19, -90, 71, -97, -93, -74, -71, -10, 94, -33, -93, 9, 30, -6, 25, -78, 19, -85, 37, 5, 49, 25, 61, 1, 34, -99, -100, 36, 34, 40, 79, 48, -21, -51, -91, -56, -6, 100, -40, -26, 89, 4, -45, 20, -33, -6, 39, -52, 8, 40, 21, -45, -13, 22, -82],
            [15, -80, 13, -85, -54, -86, -5, -71, 4, 31, -27, -48, 88, 91, 78, -57, 64, 80, -41, 49, 88, 79, 10, -72, -51, -79, -36, 40, -36, 100, 14, 24, 10, 5, -40, -29, 70, -86, 82, 65, -53, 96, -98, -10, -79, 76, 82, 73, 97, 3, 52, 93, 88, 93, 46, 17, 89, 35, -100, -52, 21, -55, 27, -96, 2, 15, 56, -41, 84, -63, -100, -86, -33, 100, 60, 98, 74, 12, 63, -60, 88, -56, 45, -88, 5, -6, -31, -33, 70, -63, 53, 4, 83, -76, -78, -2, 67, -26, -26, -58],
            [-90, 98, -56, -98, -13, 69, 84, -28, 66, 60, 30, 6, 16, -92, 5, -12, 20, -66, -41, -15, -9, -67, -24, 26, 36, -90, -94, 39, -26, 95, 100, -96, 90, -75, -62, 98, -41, -91, -92, -57, -72, -38, -58, -66, 91, -30, -27, -6, -37, -14, 56, 17, 6, -49, -23, 84, 52, -21, 69, -50, 91, -6, 44, 18, -88, 5, -13, -80, -16, -100, 5, 84, 46, 4, 35, 49, 38, 68, -78, -56, 84, 41, -51, -85, 47, 36, 49, 46, 63, 22, -5, 87, -23, -92, 47, -74, -77, 22, 1, -97],
            [31, -49, 82, -79, 81, -51, -73, -100, -20, -79, 57, -38, -28, 75, -94, 91, 33, 93, -72, 46, -43, -60, 95, 24, 12, 14, 33, 19, -64, 35, 31, 100, -25, -85, -65, 9, 58, -95, 25, 78, -37, 50, 85, -33, 2, 42, -54, -46, 12, 30, 12, 72, 16, 81, 53, 47, -48, 11, 6, 29, 36, 31, 28, 29, -55, 56, -23, 40, -100, -85, 58, -63, 85, -48, -97, 3, 55, 71, -56, 49, -14, 42, 26, -89, -9, -13, -3, 72, -65, 22, -98, -63, 12, -27, 78, -18, -41, -64, 93, -5],
            [-72, 3, -47, 77, -9, -44, -23, 16, 80, 37, -71, -41, 9, 41, 35, -26, -3, -95, -65, -32, -43, 83, -6, 53, 31, 55, -84, 23, 54, 43, 3, 77, 100, 37, -52, -69, 21, -68, 82, 4, 88, -79, -34, -5, 70, 86, 64, 87, 73, -76, -17, -96, -53, 8, -88, 50, 78, 34, 19, -99, -65, -2, 55, -38, -77, -43, -28, -100, 11, 94, 89, -51, -49, 98, 98, -51, -58, -81, -41, -36, 66, 69, -46, 58, -81, 99, -97, 74, 76, 23, 29, 26, 26, -37, 88, 65, 11, -56, 87, 8],
            [-32, 30, -77, -48, 38, -100, 79, -64, -4, 91, -9, -4, 91, -48, 69, 1, -7, 0, -48, 88, -82, 69, -1, 35, 43, 44, 38, -60, -85, 93, 20, -9, 40, 100, 26, 27, 72, -35, 67, 94, -87, -9, -35, -17, 85, -4, 16, -44, 92, -82, 0, -44, 91, 57, 44, -6, -40, 24, -28, -52, 3, 86, 94, -70, -12, -53, -100, 91, -3, -32, 41, 75, -84, -15, -71, -58, -6, 6, -60, 98, -47, 26, 87, -48, -43, -4, 96, -85, 58, -49, 51, -13, 53, -88, 27, -83, -94, 10, -85, 75],
            [38, 19, 35, -54, 32, 49, 24, 85, 19, -64, 19, 49, -57, 56, 37, 12, -10, 72, 97, -41, -72, -87, -53, 1, -49, 55, 26, 76, 48, -82, 85, -100, 54, -73, 100, 35, 0, 17, 22, 9, 27, 82, -100, 18, -49, 88, -88, -18, -3, -98, -45, -68, -54, 50, 36, 94, 31, 52, -28, -26, -41, -14, -37, 89, 14, -100, 46, 83, 65, -1, 76, -70, 100, 48, 47, -10, -35, 58, 65, -48, -43, -76, 11, -30, -72, 44, 13, -9, -44, -15, -4, -33, -13, -56, -61, -86, -76, -93, -92, -54],
            [-13, -29, -91, 62, 90, -95, -68, 73, 42, 0, 32, 50, 84, 41, -49, -20, 5, 36, 91, 68, 24, 93, 20, 45, 83, 33, -97, -68, -9, -40, -14, -71, -73, -75, 63, 100, -58, 22, -99, -45, -84, 17, -54, 50, 0, 99, 82, 32, 8, 66, 28, 97, -89, -70, 49, 56, -39, -29, 17, -6, -21, -56, 88, -37, -100, 24, 93, -93, 33, -59, -19, -85, -66, 5, 19, 17, 9, -100, -28, 81, 42, 19, -29, 38, -66, -62, 60, -61, -73, -70, 77, 66, -42, -18, 21, -32, -78, 99, 31, 39],
            [64, 9, 60, 29, -34, -94, -53, -19, -81, -73, -40, 54, 83, 94, -79, 18, 49, 23, 57, 82, -88, -80, 78, -69, -95, 38, 44, -57, -98, 90, -75, -11, 62, 99, 78, 100, 100, 29, -74, -41, -37, 97, -8, -37, -84, -87, 80, -93, -62, 46, 4, -11, 55, -33, 74, -94, -87, -33, 55, 51, 90, 96, 43, -100, -88, 78, 53, -44, -87, -47, 82, -39, -21, -45, -3, -87, 51, -45, -52, 93, -57, 42, -76, -81, -2, -91, -45, 32, 28, -19, -39, 19, -48, -99, 40, 11, 64, -61, 0, -13],
            [-40, -23, 33, 6, 16, 11, -39, -27, -38, 35, 16, -6, 85, -6, -50, 78, -33, 82, 31, 19, 26, 41, -73, -82, 53, -82, 17, 35, -19, 0, -8, 76, -85, -59, -85, -95, -94, 100, 35, 60, -77, -100, 92, 47, -56, -46, -76, 54, -70, 32, -39, -44, -84, 21, -65, -94, 59, 41, 25, -26, -44, -37, -100, -98, -49, -3, -94, -1, -55, -87, 100, -86, -98, 28, -85, 45, 45, 27, 97, 48, -51, 27, 47, 55, -52, 36, -41, 2, 55, 61, -64, 73, -42, 86, -100, -73, -97, 25, -25, -45],
            [75, 66, 35, -70, -37, -53, -34, -52, 69, 31, -50, -2, -72, -9, 55, 19, 53, -2, 35, -34, 5, -84, -86, 41, -53, -74, 66, 70, -21, 32, -56, -84, -71, -57, -23, 75, -54, 39, 100, 37, 31, -49, 37, -3, -11, 48, -51, -28, 49, 13, 22, -65, 89, -16, 51, 91, 38, -67, 31, -23, -9, -100, -60, -12, -77, 63, 98, 93, 34, 89, -16, 46, 14, 37, -40, 34, -51, -6, 17, -95, 72, 63, 13, -45, 85, 21, -54, 28, -2, -8, 14, -61, -84, -90, 22, -1, 75, -81, -7, -36],
            [95, 50, 49, -76, 67, 28, 14, 5, -66, 66, -85, -66, 9, -21, -70, -100, -70, 67, -14, 60, -98, -52, -57, -47, 91, 66, -30, 90, -46, -37, 6, -74, 36, -3, 3, 35, 30, 22, -49, 100, 36, -21, -91, -56, -85, 69, 59, 55, -62, -26, 2, -53, 82, 31, 64, -15, -74, 88, 89, 67, -100, -42, 21, -57, -42, -99, -18, -71, 72, -74, -65, -35, 36, -50, 82, 87, 32, 30, 56, -86, 98, -57, 83, 55, -26, 10, -29, 66, -92, 42, 26, -24, 86, -6, 67, 45, -79, 54, 80, -30],
            [5, -60, -57, 14, -3, -42, -92, -66, 26, -54, -21, -68, 1, 73, 46, -91, 24, 44, -63, 98, 76, -71, -6, -67, 61, 41, 15, -30, 84, -51, 20, -46, -68, -56, -66, 75, -83, -65, 18, 58, 100, -58, 26, 14, -75, 72, 87, -51, 61, 25, -6, 18, 8, -12, -36, 96, 11, 48, 9, -100, 6, 36, -87, 46, 95, -1, 50, -91, -39, -33, -42, -71, -88, -98, 29, 43, 24, 14, -98, -47, 8, -86, 61, 17, 48, 0, -49, 9, 9, -100, -21, -74, 69, 86, 40, 82, -65, -57, 22, -3],
            [-79, 38, 95, -97, -29, 85, -53, -99, 80, -20, -29, 78, 29, 98, 25, 20, -17, -37, -85, -14, 0, -76, 37, 22, -64, 45, 62, 26, -64, 69, 73, -39, -1, -58, 24, 88, -79, 14, -94, -19, 79, 100, -55, -82, -40, -72, 55, -71, 70, -35, -89, -37, 99, -68, -58, -48, -77, -30, -100, 15, 66, -40, 51, 43, -59, 64, 62, -34, 90, -24, 68, -1, -36, 56, -31, -31, -6, -1, 37, -27, -25, 66, 80, -78, 87, -10, 89, 25, -20, 62, 21, -8, -77, 44, 43, 61, 27, -85, 82, 45],
            [-97, -72, 75, -18, 83, -61, 100, -15, -10, -85, 76, -59, -25, 77, 79, -34, -60, 56, -28, 47, 43, -97, 48, 10, 87, -60, -24, 8, 54, 69, 67, -58, 78, 53, -22, -60, 56, 55, 100, 1, 54, -50, 100, -71, -24, -67, -14, 58, -60, 30, 26, -37, 76, 78, 92, -17, 3, -100, 42, -49, -54, 77, 38, 68, 90, -37, 18, 89, -75, 61, 8, -43, 72, 46, -42, -11, -67, 83, 95, -60, -2, 22, 21, 10, -26, 80, 94, 88, 88, 3, 88, -84, 45, 52, -72, 82, 58, -47, 43, -89],
            [-29, -63, -51, -33, 81, -36, 45, 88, 31, 35, -27, 97, 66, -24, -9, -32, 47, -55, -27, -67, -62, -96, -72, -91, -97, 69, -93, -85, 19, 51, -89, -45, 62, -20, 74, -19, -17, 36, -47, 81, -28, -64, 100, 100, -70, -25, -12, 41, -43, -68, 58, -88, -28, 27, 5, -93, -100, 89, -58, 56, 47, 58, -14, -3, -37, -29, -18, -7, -9, -48, -10, 58, -8, 14, -9, 36, 58, 5, 10, 77, -45, -85, 58, -75, -80, -65, 29, -93, -19, -20, 36, 13, 19, -31, 6, 78, 64, 67, -16, 47],
            [-61, -61, 37, -53, 15, 24, 59, 94, 67, -95, -14, -95, 62, 43, -36, 48, 44, 6, 16, -41, -12, 80, 79, -46, -7, -4, -58, 50, -30, -94, -16, -11, -49, 60, -38, 12, 20, -71, 66, -42, 14, 9, -20, -81, 100, -9, 15, 0, 69, 12, 41, 96, -89, 8, 87, -100, 16, -16, -96, 11, -53, 84, 51, 22, 33, 9, -5, -6, 52, 61, -9, -47, 23, -65, 19, 17, 74, -86, -26, -6, 42, -41, 59, 20, -58, -7, 73, -95, -44, -5, 37, 26, 6, -34, 89, 60, -22, 98, -41, -69],
            [90, -64, 53, -48, -68, 51, 92, -54, -62, -90, 13, 53, 73, -97, 95, 16, -86, -42, 38, -42, -80, -64, 85, -88, -63, -38, 42, -25, -58, 78, 10, -30, 55, -58, 89, 27, 37, -75, 89, -91, -21, 70, -33, 33, -90, 100, -5, 6, -97, -68, -91, 25, -58, 68, -100, 33, 20, -10, 72, 59, -91, -92, 72, -39, 14, -13, -23, -42, 12, 21, -66, -43, -100, -20, -92, -29, 56, -56, -76, -10, -21, 90, -30, 28, 95, -92, -60, 17, -25, 27, -43, 33, 66, -84, -59, -50, 22, -51, -8, -79],
            [-30, -88, 19, -31, -3, -14, 60, 18, 31, -21, -98, 61, -98, 98, -25, -33, 25, -21, 62, -41, -84, 59, 37, 1, -73, -48, -80, 98, -53, -59, -98, 45, 43, 53, 65, 42, 94, -59, 59, 41, -79, 44, 36, -55, -71, -40, 100, -2, 2, 42, 34, 71, -19, -100, 99, -45, 64, 87, 99, 70, 13, -58, -23, -83, 66, 78, -58, -76, 65, -6, 38, -18, 49, -19, -51, -5, 99, 59, 23, -84, -76, -6, 67, -15, -20, -69, -81, 88, -79, 91, -43, -48, -84, 41, -46, -67, 4, 66, 67, 91],
            [87, -42, 62, 1, 7, -28, 29, 30, 95, -37, -13, -25, 22, 50, 93, -10, -100, -88, 14, 75, -7, 2, -5, -94, -79, 33, -62, -76, -66, -30, -73, -21, -84, 84, -67, -99, -31, -9, 3, 52, -23, 4, -29, 80, -96, 67, 35, 100, 8, 57, 69, 36, -100, 60, -44, 82, 92, -8, -98, -64, -10, 72, 10, -26, 11, -77, -30, 77, 18, 100, 69, 36, 56, -7, 36, -21, 47, -11, 50, -69, 34, 48, -51, -64, 30, 84, 23, -38, -60, -53, 40, -66, -58, 52, -54, -44, -93, 8, -83, -28],
            [29, -46, 9, 23, 64, 12, 92, -42, 43, -88, -79, 71, 21, -52, -88, -100, -94, 60, 30, 69, -14, 45, -1, -95, -77, 58, 56, 37, 64, 68, 26, -49, 3, 57, 85, -9, -37, 21, -18, -62, -50, -61, 70, -22, 67, 7, 2, -100, 100, -66, 50, -100, 14, -34, 36, 31, -22, 9, 60, 19, 1, -22, 20, -28, -95, -56, 65, 6, -34, 34, 84, 15, -23, -79, -51, 97, -52, 81, 12, -39, 84, -61, -48, 68, 44, -51, -55, 80, -48, -41, 97, -57, 67, 89, 9, -55, -49, -4, -18, 80],
            [-47, -97, 21, -53, -33, -67, -57, 4, -89, 92, 85, 86, -53, -32, -39, 22, 66, 6, 57, -69, 94, -70, -17, -42, 50, 47, -14, -21, -63, 6, -35, -56, -58, 32, -89, -63, 5, 65, -65, -25, -40, -55, -14, 79, 73, 97, 20, 35, -65, 100, -100, -30, 19, 76, 77, 66, -85, -3, -89, 59, 18, -76, 47, 5, -99, -34, 2, -99, -15, -100, 46, -41, 3, 91, -53, 100, 96, 34, -91, 88, -57, -83, -92, 43, 44, -92, -25, 11, -24, -33, -62, 83, -57, -4, -32, 38, -32, 78, -54, 38],
            [-80, 29, -12, 53, -79, 19, 30, 62, 31, -30, -11, 36, 41, -73, 85, 76, 87, 9, 0, -3, -79, -31, 21, -73, -83, -62, 47, -78, -95, 18, -11, -50, 87, 82, -97, 39, -53, -73, -39, 44, -57, -17, 58, -68, 51, -48, 58, -87, 99, -100, 100, -18, -82, 27, -87, -83, -18, 2, -81, -8, -39, -58, 76, 88, -33, 41, 46, -13, -35, 42, -66, 75, -27, 66, -98, -75, 65, 12, -1, -52, 3, -38, -64, -6, 100, 8, 7, 22, 50, -65, 61, -83, -14, -49, -100, 48, -3, 25, 15, -66],
            [-85, -85, 91, 33, 89, -17, 46, 99, 63, -56, -6, -47, -33, -21, 65, -60, -18, -26, -2, -42, 18, 7, -52, -69, 40, -59, -66, -39, -91, -1, 66, -20, 49, -99, 89, -49, -35, -17, 19, 39, 14, 34, -99, -79, -55, -61, 16, 77, -100, -2, -85, 100, -45, 28, -9, 31, 86, 34, -35, 29, 16, -40, -47, 49, -46, -2, 63, 70, 27, -42, 61, 45, -9, 48, -68, -40, 42, -68, 8, -99, -49, -25, 8, -15, 82, -17, -8, 92, 25, 15, -54, -23, -56, 36, 77, 30, 30, -2, -32, 23],
            [37, -79, -13, 68, -15, 75, -34, -37, -75, -55, -93, 40, -79, -10, 23, 15, 68, -45, 98, 69, -26, 30, 24, -68, -5, -32, -37, 11, 4, -52, 32, 48, 87, 30, -58, -11, 87, -35, -12, -56, 7, 44, -98, -58, 5, -53, -45, -100, 61, 21, -12, -29, 100, 36, -81, -9, -95, -89, -1, 26, -76, -7, -3, -74, 9, 43, -38, -72, 0, -87, 24, -67, -39, 59, -36, 62, -79, 24, -40, 28, 88, 20, 81, -86, -57, 24, 100, 63, -3, -10, 14, 69, 74, 15, 72, 84, -52, -42, 26, -9],
            [-37, 64, 89, -88, 89, -61, 25, 57, 6, 45, 10, 92, -50, -85, -78, 40, -15, 38, 92, -1, -45, -33, 35, 91, -1, -26, 22, -13, 70, 13, 61, -70, 1, 54, -87, 82, -94, -67, -4, 17, 77, -15, 82, 29, -8, 38, -100, -77, -67, 84, 13, -29, -92, 100, 28, 72, 3, 47, 5, -84, -50, 94, 36, 72, 25, -53, -27, -74, -48, -77, -41, -47, 11, -70, -90, 51, 64, -53, 50, -65, -49, -88, 16, -68, 78, -60, 34, 15, -85, -83, -10, -16, 35, 63, 15, 30, 41, 81, -48, -92],
            [-52, -48, 84, -87, -76, -95, 69, 59, -83, 8, -15, -17, 64, 89, -18, -57, -65, 2, 9, 30, 56, 21, -32, 58, -56, 2, 72, -23, 46, 76, -51, 46, 7, 33, -35, -11, 3, 45, -10, 38, -23, -60, 35, -7, -33, -100, -75, -23, 9, 2, -59, 78, 8, 52, 100, 38, 42, -69, 1, -59, -97, -94, 12, 56, 35, 67, -64, -18, -68, 67, 90, 86, -66, -48, 53, -23, 24, -84, -80, 86, 59, -8, 78, 78, 50, -2, -75, -23, -36, 18, 38, 9, 75, -19, -94, 82, -99, 71, 28, 7],
            [-84, 26, 23, -35, 74, 43, -40, 80, -47, -75, 26, 70, -74, 85, 25, 45, 95, 19, 25, -31, 42, 93, -82, 27, 95, -6, -30, 14, -77, -75, -45, -94, -61, 7, -99, -31, -93, 97, -19, -19, 31, 49, -92, -75, -100, 12, 3, 55, -45, -78, 75, -33, -73, 6, -72, 100, 81, 51, 88, 13, -44, -73, 24, -10, 41, 95, -28, 29, 89, -100, 87, 88, 94, -19, -13, 26, 17, -27, -47, -90, -89, -2, -35, 100, 73, 45, 45, -41, -49, 1, 97, -71, -94, 60, -1, 61, 94, 68, -88, -39],
            [-18, 89, 9, 8, 92, -95, -69, 82, -10, -20, 25, -34, 91, 77, 89, 81, -75, 100, -60, 73, -29, -10, -15, 57, 26, 64, -53, -10, -27, -82, -75, -82, 23, 54, 6, 79, 28, -25, 91, -6, 13, 4, -29, -100, 6, -74, 47, -42, -91, 93, -47, 51, -85, -14, 48, -33, 100, -33, -88, -91, -49, 54, 81, 52, -82, -74, -94, -47, -47, -72, -19, -73, -30, 26, 0, -52, 7, 48, -54, -54, 82, 23, -10, -71, -5, 80, 56, 42, 57, 42, -97, -93, -47, -59, -20, -33, -63, 54, -52, 53],
            [16, 46, 92, -12, -89, -37, 70, 19, 86, -64, -72, 36, 17, -26, -76, -4, -18, -15, 30, 28, 92, -4, 64, -72, -61, 73, 94, 44, 31, 21, 35, -54, -47, -21, 33, -39, -66, -26, 69, 50, -38, 12, -100, -28, -66, 89, 51, 88, 94, -61, 58, -50, -54, 100, 49, -65, -34, 100, 1, -43, -34, 33, -11, -38, -89, 56, 90, -55, -41, -32, 9, -77, 75, 62, 63, -12, -48, -9, -33, -45, -71, -35, 27, 53, 2, 9, 39, -18, -97, 81, 45, -46, -87, -78, 38, -100, -55, 63, 40, 95],
            [-75, 92, -88, 59, 27, 51, 65, -41, 21, -98, -99, 96, -22, -1, 84, -69, 8, 59, 23, 26, 39, 28, 59, -49, -14, -14, -51, 43, -26, 16, 54, -53, -2, 43, -81, -10, 17, -95, -41, -17, 100, -100, -4, -5, -100, -58, 59, -32, 10, -33, -37, -53, -100, 29, -19, 24, -20, -71, 100, 51, 68, 84, -35, -8, -20, 23, 6, -4, 59, -13, -69, 22, 93, 46, 94, 24, -60, 65, 79, 83, 16, 18, -85, 1, 37, -73, 31, -72, -29, 40, 88, 10, -11, 25, -71, 42, -34, -40, -93, 87],
            [2, -86, 84, -11, -16, -78, 51, 72, -10, -87, -85, -97, -91, -27, 58, 44, -12, 41, 25, -32, -15, -45, -79, 98, -22, -86, 39, -36, -39, -88, 16, 17, -63, 67, -82, -75, -88, -89, 54, 12, -100, -55, 52, 68, 68, -69, -77, -97, -23, -72, -64, -97, 60, 74, 3, -57, -36, -77, 77, 100, 45, 76, -82, -81, 66, 28, 89, -54, 58, 91, -83, -23, -75, 47, -45, 46, -36, 57, 89, -43, -3, 11, 68, -79, -86, 5, 47, -32, -97, 67, 81, -31, 31, -84, 6, -77, -46, 18, 38, -38],
            [5, -21, 57, 62, -92, 67, -41, 66, 71, 52, -64, -40, 88, -59, -13, 51, -45, -29, -19, 10, -50, 52, 52, 27, 26, 36, 42, 40, -28, 78, 43, 3, 0, 27, -73, -66, 32, 24, 61, -100, 45, -7, 88, 66, 56, 6, -27, 52, -44, -59, 78, 3, -27, 45, 85, 2, 93, -70, -31, -60, 100, -52, 35, 33, -28, -77, -79, 56, 17, 4, 36, 62, 37, 57, -24, 53, 49, -10, -68, -91, 68, -85, 55, -13, 81, 42, 58, -50, 52, 93, 58, -11, 74, 24, 16, 1, -62, -9, -24, 83],
            [34, -96, 68, -81, 37, 74, 76, -64, 97, 54, -27, -94, -42, 93, 44, 37, -37, 17, -30, -6, 26, 52, 100, -71, -12, -24, 27, -83, -67, 95, 2, 27, -73, 72, -59, 10, 63, -83, -100, 32, -92, -89, -51, 60, 21, 24, -13, 13, 54, -14, 10, -19, 46, -65, -55, -83, -76, 37, -44, -99, 33, 100, 66, -16, 18, -18, 56, 24, -34, -38, -94, -27, -70, -19, 9, -58, -54, -25, 49, 41, 92, 32, -52, 60, -67, 5, -25, -60, 52, -49, 72, 7, 31, -98, -29, 45, -59, 7, 12, -54],
            [27, 88, -30, 13, -4, 36, -60, 92, -40, 97, -97, 39, -100, -86, 6, -73, -100, -84, 92, -14, 50, -34, -14, -8, -76, -88, 8, -97, 88, -58, -69, 30, 8, -57, -31, -55, 5, -100, -4, -60, 1, 70, 83, -27, 24, 0, -15, 69, 26, -4, 71, 37, -3, -27, 92, -49, 63, -35, -39, -63, 5, 14, 100, -60, 18, 20, -21, 96, 1, -34, 19, -19, -7, -74, -12, 43, -16, 18, 33, -35, -76, 91, -32, 39, 38, -8, 83, 100, 37, -68, -93, 87, 65, -25, -96, -68, 78, 8, -64, -20],
            [-6, 74, -97, 96, -34, -13, 92, -29, 61, 34, 93, 55, 14, 41, 78, 94, -71, 61, 29, -76, 97, 45, 25, 20, 72, 53, -93, 67, 89, 2, -57, -12, -41, -47, 1, -50, -100, -59, 13, -70, 36, -96, -13, -57, -46, 100, -13, 31, 60, -44, 38, -10, 27, -39, 40, 8, 20, 58, -6, -89, -19, 4, -1, 100, 25, -42, 49, -20, 69, 3, -96, 49, -13, 3, 24, -44, 9, -26, -21, -61, 70, -17, 26, 11, 1, -53, 8, -58, 26, 98, 57, -38, 42, 16, 45, -43, -79, 72, -65, 0],
            [-72, 96, -29, 11, 43, 22, 6, 40, 12, -29, -16, -36, -97, 30, 60, -98, -97, -100, 100, -46, 30, -82, -58, -94, 84, -58, 83, 73, -33, -43, 82, 21, -82, 75, -35, -100, 61, -90, 99, 90, -99, -53, -56, -42, -61, 1, 100, 74, -22, -12, -8, -39, 51, 24, 47, -46, -72, 51, -73, 69, 28, -42, 8, -63, 100, 31, 48, -57, -20, 66, -15, -81, 31, -76, 76, 18, 28, -66, -15, -48, 78, 4, 26, 55, -38, 15, -40, 80, -57, -70, 81, -75, 9, -10, 4, -89, -4, -72, 32, -18],
            [-92, -24, 81, 11, 35, -23, -98, 59, 32, -8, 29, -3, -43, -54, -54, 83, -46, 95, 95, 29, -61, 3, 47, -9, -98, -59, -59, -14, -99, -23, -96, 52, -96, -66, -100, 80, 17, -22, -15, -67, 95, -58, 80, 63, -32, -41, -71, 95, 86, -73, -34, -52, 39, -4, 96, 5, 90, -90, 79, 44, 85, 64, 12, 73, 25, 100, 11, -30, -39, 10, -25, -90, -25, -97, 24, -82, -99, -58, -90, 21, -45, 65, 61, -49, 39, 84, 64, -23, -17, -41, -67, 78, 72, -27, 21, -55, 59, 72, -32, 15],
            [-85, -36, 75, -28, 88, 31, -55, -6, -69, 24, 40, -46, -22, 99, -9, -78, 97, -30, 22, 78, -24, -86, -73, 26, 67, 19, -84, 44, -58, 31, -40, -24, 5, -100, 28, 14, -96, 86, 42, 82, -90, 93, -16, 70, 8, -69, -54, 32, 50, -16, 43, 94, -50, 49, 28, 76, -20, 17, -5, -21, 36, -56, -9, 79, -13, 41, 100, -97, -19, -41, -60, -19, 72, -9, -22, -12, 41, -64, -88, 49, -43, 56, -34, 67, 7, -6, 11, -25, -77, -28, -4, -45, -3, -77, -92, -18, -41, -50, -24, -48],
            [-72, 28, 58, -53, -36, -8, -17, -33, 53, -90, 64, 28, -39, 91, -21, 7, 82, -97, -25, 84, -84, -39, 22, -51, 100, 45, 59, -59, 19, -74, 85, 30, -100, -77, -99, -91, 0, 90, 99, 86, -83, -59, 66, 75, -61, -29, -92, 61, 62, -2, 39, -2, 47, 94, -20, -55, 34, -76, -53, -88, 42, 12, 95, 25, -45, -94, 68, 100, -10, -80, 65, -19, 16, -59, -94, 92, -51, -28, 5, -92, -7, 66, 41, -60, 78, 16, -62, -9, 22, -40, 75, -34, -61, 70, 65, 4, 17, -16, -56, 4],
            [93, 88, -48, 92, -31, 52, -100, 48, -64, 62, 43, -85, -70, -69, -66, 59, 13, -27, -28, -14, -50, -19, -59, -57, -84, -40, 3, -47, 46, 58, 52, -100, -32, -92, -93, -73, 34, -64, 34, 74, -12, -44, 15, 81, -66, 17, -89, 18, -26, 62, 82, -99, -66, -1, 97, 32, -38, -10, -89, 68, -6, -92, -26, -26, -53, 33, -89, 66, 100, -20, -21, -52, -3, -58, -93, -5, -33, -70, 40, 25, 91, 27, 73, 9, -5, 3, -50, -64, 93, -91, -64, 48, 66, -52, -65, 49, -57, 60, 71, 71],
            [-42, 20, -44, 41, 66, -93, 44, 35, 16, -22, -39, 99, -91, -96, -98, -38, -65, -25, 15, -45, 90, 87, 78, -65, 31, 21, 12, -30, 77, -41, -100, -71, -40, 58, -9, 20, 44, 20, -44, -99, 12, 53, -80, -31, -31, 6, -54, 66, -74, 13, 74, 33, 90, 32, -11, -13, -52, 54, 23, 95, -45, -10, 16, -46, 76, 65, -69, -75, -24, 100, 96, 27, -14, -45, -26, 95, -23, -8, -49, -98, -100, 37, 12, -92, -74, 75, 70, -95, 96, 88, 43, -90, 35, -50, -52, 27, 12, -72, 40, 36],
            [66, -29, -15, -43, -33, -23, -63, 82, 6, -70, -74, -65, 93, 36, 34, 21, -21, -45, 96, -93, -52, 54, 86, 30, 31, 18, -94, 5, -50, -100, 82, -28, -75, -34, -98, -90, 39, -73, -98, -47, -9, -60, 73, -83, -55, 86, -60, 39, -3, -86, -79, -32, 94, 88, -12, -60, 10, -3, -20, -93, -91, 71, 15, 84, 9, -22, -18, -40, -25, -65, 100, -89, -62, 1, 42, -87, -74, 26, -51, -28, 11, -57, 39, 57, 11, -71, 35, -60, -19, -43, -64, -89, 36, 27, 20, -83, -15, -46, 5, 47],
            [33, -100, 18, -66, 29, -35, 74, 87, -90, -61, 79, -27, 2, -47, -30, -27, 67, 49, -98, -27, -82, -51, -8, 92, 28, 86, 43, -83, -100, -93, 14, -86, -26, -92, 77, -43, 60, 98, -46, 2, -95, 81, 30, -56, 13, -22, -45, -73, 20, -53, -57, 50, 54, -50, -82, 91, 26, -44, -62, 70, 59, 51, -64, 55, 18, -46, 76, -13, 63, -54, 2, 100, -66, -92, -61, 56, 30, -10, 64, 49, -84, 3, 4, 18, 68, -97, 16, 38, -89, -68, 49, -85, 17, 86, -27, 58, 94, -75, -69, 75],
            [63, 57, -95, 75, -99, -52, 95, 81, -56, -36, 13, -17, -84, -31, 91, -86, 43, -3, -95, -55, 9, 95, 66, 25, 35, 5, -38, -100, 79, -65, -91, -62, 40, -28, -56, 71, -29, 40, -79, 64, -18, -100, -16, 20, 86, -22, 92, -2, -53, 90, 50, -72, 38, 86, -15, -64, 62, -69, 11, 85, -70, -6, -27, -80, -25, -97, 79, -53, 24, -13, -49, -13, 100, 99, 62, -91, 38, -39, 58, -55, 83, -29, -96, 18, 83, 0, 58, 19, -41, -78, 47, 83, -15, -72, -71, 70, -34, -45, -14, 99],
            [49, -75, -36, 68, 91, -3, 1, -23, -96, 73, 40, -74, -45, -56, -4, 34, -61, -3, 36, -42, 72, 31, -8, -75, -3, -10, -100, 1, -28, 12, 100, 65, -40, 62, 30, -73, -8, -57, 100, -26, -46, 57, -57, 74, 84, -100, 67, 39, -5, 72, 89, -22, 47, -41, -95, -9, -96, 6, -86, -28, -62, 7, 31, -40, -42, 30, 97, -21, 86, 92, 92, 71, 37, 100, -32, 51, 31, 13, -67, 30, 91, 25, 58, 13, -38, -14, -35, -37, 53, -57, -7, -77, 80, 0, -20, 33, 2, -94, -96, -27],
            [76, 14, -41, -47, -37, 58, 61, -37, 14, 24, -64, 52, -2, 1, -17, -100, -18, -65, 70, 29, 12, 9, -72, -4, -12, -100, 58, -17, -55, -99, 85, 79, 66, -74, -69, 54, -24, -53, 73, 18, 95, -55, 81, -48, 18, -53, 52, -36, -69, 12, -6, 94, -87, -45, 36, 22, -67, -17, -45, 80, -56, -47, -32, -22, 100, -16, 34, 16, -41, -98, -1, 60, 33, -32, 100, 7, 79, 19, -33, -55, -29, -67, -97, -32, -70, -8, 51, 79, -56, -80, -68, -23, 83, 85, 3, -56, 78, -56, -7, 18],
            [-1, 71, 86, -85, 87, 81, -28, -72, 18, 35, -11, -71, -10, 24, -61, -59, -3, 98, 16, -35, 45, 32, 94, -23, -100, -34, 33, 10, -46, 56, 72, 83, -95, 21, -47, -96, -67, -69, 75, 34, 92, 9, -87, 0, 93, -8, 13, -24, 34, -90, 5, -76, -75, 12, 68, -37, -49, 10, -81, 38, 28, 36, 66, 85, -83, 100, 41, -16, -93, -70, 4, 20, 13, 35, -6, 100, 53, 1, -36, -2, 77, 2, -31, -71, -45, -10, 77, -81, 46, -47, 91, -91, 48, 46, 30, 25, 90, -76, -74, -57],
            [55, -86, 7, 95, 87, 78, 51, -38, -88, -76, 50, 45, -73, 66, -16, -12, -50, 75, -13, 37, 32, 61, 24, -100, -87, -90, 55, -28, 58, -78, -8, 68, -38, 42, -15, -32, -97, 73, 77, 45, 93, 52, -44, -13, 27, 26, -72, 3, 17, 32, -22, 16, -2, -49, -88, -42, -83, 42, 33, 70, -19, 87, -5, -82, -49, 37, -95, 77, -20, 68, 73, 97, -33, 86, 36, 96, 100, -30, 60, 72, 40, 38, 71, -85, 74, 46, -8, -4, -13, 49, 67, -45, -66, 0, -11, 82, 84, -51, 32, -58],
            [65, -36, 60, 51, -61, 17, -23, 99, 77, -25, 89, 34, 91, 31, -50, -50, 91, 59, -51, -4, 37, -99, -100, -43, 75, 56, -16, 36, -42, -99, 95, -22, -82, 51, -34, -67, -55, 15, 18, -48, 3, -14, -48, 18, -66, -93, -74, 33, 81, -81, -31, 34, 65, -91, -24, -51, -26, 11, 70, -22, 40, -75, 30, -81, 89, -24, 12, 27, 52, -91, -60, 38, -40, 93, 42, 48, 8, 100, -36, -81, -62, 55, 78, 96, -12, -64, -59, -25, 87, 45, 29, 36, -42, -29, 54, 7, -73, -85, 22, 29],
            [28, 71, -39, 36, -50, 17, -33, -66, -66, -73, 48, -77, 39, 86, -11, 59, 30, 63, -44, -97, -13, -100, -73, -3, -55, 77, -72, 8, -14, 95, 99, -43, -68, -35, -29, 1, -20, 56, 50, -94, -90, -95, -100, 7, 20, 54, -33, 88, -1, -83, 76, 2, 46, 79, -72, 11, 60, 85, -62, 65, 72, -90, 82, 60, 27, 14, -94, -76, -17, 79, 25, -84, -26, -10, 69, -36, 45, -31, 100, 29, 47, 61, -76, 33, 10, -3, -3, -27, -67, -61, -82, 58, 16, 98, -7, 47, 4, 82, 55, 62],
            [0, 18, 8, -62, -28, 31, -28, -15, 33, 10, -76, -8, -34, -12, 27, -30, -13, -56, -25, 8, -100, 88, -90, -100, -66, 36, -64, 83, 99, 95, 46, 1, 80, 77, -16, 53, -17, 19, 69, -77, -79, -96, -45, 98, 1, 47, -21, -22, 60, -14, 79, 2, 12, 82, -41, -95, 72, 23, -19, -19, -5, -69, 98, -83, -59, -70, 78, -71, -83, -47, 10, 6, -68, -59, -30, -30, -87, 78, -22, 100, 51, -69, -59, -52, 4, 77, -82, -92, -66, -82, -80, 9, -94, -52, 54, 26, 69, 84, -1, 0],
            [32, -1, 38, 54, 39, -63, -5, -58, -38, -38, -41, -11, -85, -90, 49, -10, -3, 99, 14, -100, 17, -94, 82, 39, -29, 31, 90, 10, 79, 81, -23, -49, 73, 14, 49, -16, 47, 36, 34, -52, 25, -85, -73, -94, -33, 96, -52, -35, 22, 4, -29, 93, 49, -41, -16, 90, 16, 64, 92, 73, -28, 37, -80, 34, 94, 60, 32, 57, 13, 45, -71, 81, -43, -33, -71, 72, -58, 41, 77, 14, 100, -78, 98, -90, -24, -96, 22, -1, -1, -99, 39, 32, -37, -64, -39, 77, -13, -98, 25, 14],
            [57, 37, 86, 8, 77, 85, 13, -50, 57, 50, 67, -27, 93, 54, -34, -40, 9, 27, -100, -77, 6, -100, -66, -47, 91, 23, 24, 96, -77, -70, -63, -96, 62, -77, 38, 71, -90, -43, 27, 22, -40, -55, 90, 2, 38, 72, -36, 19, -17, -47, 25, 14, 69, -64, -95, -6, -95, -68, 7, 46, 21, 9, 7, -41, -26, -30, 89, 7, -40, -98, 24, 14, 58, -2, 96, 66, -24, -24, 12, -38, 22, 100, -95, 36, -57, -66, -8, 63, -47, -22, 46, -70, -97, -73, 51, -92, 41, 7, -16, -65],
            [-32, -47, 95, 33, 87, 90, -81, -78, 67, 74, -73, -40, -84, 84, 16, 1, -76, -100, 44, 92, 56, -49, 53, 85, 66, 64, -12, -72, -80, 98, 0, 85, -11, 96, -72, 86, 76, -28, 73, 65, -68, -100, 29, -46, 48, -83, -83, 98, 57, 61, -89, -78, -1, -35, 27, -1, 75, -41, -96, 21, -6, 70, 75, 63, -9, 70, -70, 37, 36, -10, -47, 72, 32, -96, 66, -98, -15, -65, 14, -23, -10, 56, 100, -80, -5, 55, -87, 36, -100, 33, 63, 66, 71, -19, 16, -39, 97, -66, 89, -30],
            [-73, -70, 3, -94, 20, -94, 32, -72, -20, 76, 66, 87, 89, -25, 38, -88, -100, 97, -35, 93, 52, -64, 79, -36, -28, 29, -96, -99, -29, 57, -75, -6, -51, 2, -29, 82, -54, -86, -36, 46, 26, -79, 100, 62, -80, 43, -56, -82, 65, -78, -77, -62, -65, -35, 93, 86, -24, 49, 55, -4, 6, -8, -97, -73, 72, -19, -49, -42, 60, -24, -17, -12, -52, 54, -94, -92, 61, -93, 36, 17, -9, -77, -69, 100, 92, 31, -100, 98, 15, 78, -79, 19, -1, 47, -76, 20, -8, -53, -50, -50],
            [28, -91, -5, -91, 98, -39, 44, -10, -86, 68, -24, -39, 55, -76, 53, -100, 99, -53, 17, -90, -37, -1, 54, -80, 7, -82, -34, -85, -75, -11, 4, 52, 35, -7, 12, -30, 6, 4, -34, 5, 78, 3, 45, 26, 10, 61, -71, 70, -24, 17, 34, -92, 46, -67, -88, -77, -40, -41, 57, 14, 35, -15, -68, -36, 46, 94, 15, 73, -42, -43, -16, 9, 42, 90, 73, -67, 26, 29, -81, 51, -36, 43, 11, 44, 100, -41, -99, -91, -6, -99, -17, -91, 79, 28, -82, 99, -53, -99, -45, 73],
            [49, 98, 89, -6, -72, 11, -88, 77, 23, -50, 23, 22, 56, 74, -100, 29, -76, -92, -90, -86, 49, 92, 30, 93, 19, 82, -40, -16, -44, -55, -33, 10, -66, 12, 14, 15, 20, -38, -18, 83, -29, 86, 74, 78, -26, -59, 0, -48, 91, 40, -5, 55, 50, 71, 38, 66, -30, 55, -86, 70, -50, 68, 49, 70, -72, 65, -76, -10, 82, -59, -64, 77, -35, -29, -94, -55, 36, 67, -68, 80, 67, 17, 38, 29, -17, 100, -33, 49, 74, -51, -6, -53, -37, 13, 15, 65, -20, 96, 56, -22],
            [72, 45, 84, -73, 59, 63, -40, 86, 48, -3, 14, -45, 62, -100, 30, -80, -43, 6, 66, -37, 77, -26, 15, -36, -23, 48, -85, -13, 68, -77, -9, -61, 51, -47, -61, -5, 3, 33, 66, 17, -91, 38, 75, -31, -98, 55, 75, 76, -73, -1, 3, 41, -51, 8, 74, 66, 60, 77, -28, 95, -66, -9, -2, -97, 40, 55, -87, 46, -82, 10, -22, -91, 13, 8, 92, -98, -73, -74, -15, 81, 81, -4, 25, -79, -23, -23, 100, -94, 3, -42, 45, 10, -1, 19, -81, 26, -48, -67, -94, 93],
            [-11, 29, 65, -64, 54, 27, -62, -40, 90, -79, 49, -89, -100, 1, -10, 48, 42, 23, 67, -25, -68, -67, 88, -67, -71, -73, -86, 15, -30, -59, -31, -42, 21, 5, -65, 90, -37, 81, -56, 66, -81, -5, 28, 86, -89, -69, -71, 43, -44, 73, 59, 84, -67, 8, 49, -4, 39, 43, 93, 34, 51, -57, -6, -65, 23, 1, 32, -32, 12, -88, 41, 51, 2, 27, -81, -1, 12, -96, -22, 100, -48, 10, -8, 47, -28, -24, -72, 100, -46, -38, 37, -62, 67, -9, -29, 11, -76, -90, 58, -87],
            [-69, -34, -82, -78, -5, 5, -10, 2, -83, 78, 1, -100, -58, -3, -87, -31, -77, 32, 63, 70, -16, -14, 26, 68, 44, 52, -86, 65, 50, 31, -42, 2, 14, 29, 79, 59, 77, 20, -85, 28, 89, -70, -96, 19, -77, 79, 76, 28, 5, -82, -76, -9, 50, -42, 85, -76, -58, 53, -99, -89, -95, 37, -43, -16, -67, -67, 96, 63, -18, -74, -99, -52, 32, -75, 74, 54, -38, -92, 0, -25, -27, -37, 89, -99, -26, -64, 78, 74, 100, -26, 62, 64, -24, -90, -4, 93, -36, 74, -25, 61],
            [-58, 53, 27, 81, -10, -91, 97, -84, -36, 68, -100, 63, -97, 16, 69, -56, 28, 84, 71, -52, -37, -77, -43, 61, 91, -55, -39, -72, -71, -71, -86, 50, 91, -42, 14, 92, 71, -79, 51, -46, 48, -26, -47, -91, 47, -35, -82, 32, 28, -63, 56, -46, 58, 36, 8, 30, -34, 18, 78, -46, 60, -86, -52, -21, -55, -90, 58, -77, 45, -42, -49, -61, -28, 65, 100, 18, -86, 35, 99, 84, 64, 48, -44, -93, -82, -22, 17, 48, 89, 100, -67, -55, 5, 84, 1, -8, 52, -100, -16, -75],
            [96, 72, -99, 13, -93, -53, -16, 92, 3, -100, 3, -79, -4, 32, -53, -7, -69, -100, -85, 0, -46, -17, -51, 53, 91, 10, 22, -16, 39, 77, -98, -17, 66, -31, -47, 80, 45, 96, -53, 13, 34, 54, 32, -81, -71, 52, -91, 42, 22, 94, -90, 11, -90, 14, -14, 20, 18, -13, 2, -17, -100, -89, -2, -23, -47, 54, 8, -24, 69, 18, 68, 29, -69, 65, 97, -81, 20, -9, -78, 87, 20, 52, 55, -76, -8, -9, 81, 20, -49, -70, 100, 15, 58, -26, 12, 63, 61, 16, 72, -42],
            [56, -54, 56, 55, 51, -67, 27, 47, -100, 17, 34, 46, 21, -44, -17, 80, -89, 53, 69, 98, 55, -23, 95, 100, -22, 35, 44, 31, 8, -32, 11, -36, -70, -23, 69, -18, -78, 62, -100, -67, -66, 58, -52, -19, -66, 100, -65, 79, 4, -38, -76, -50, -20, 37, 70, 94, 91, -9, 39, -61, -18, -88, -65, -22, -29, 81, -21, 81, 87, 61, 2, -87, 18, -20, 95, 22, 84, 95, -17, 67, 8, 23, -37, 6, -32, 52, 88, 32, 86, 65, -54, 100, -54, -76, 5, 13, -49, 95, 4, -57],
            [-51, -28, 9, 80, -82, -76, 26, -100, 78, 33, -73, 100, 66, -26, -42, 53, 13, -86, -48, 46, -33, 3, 23, 86, 5, 65, -93, -25, 7, 29, -39, 88, -98, -74, 45, 10, 10, -43, -59, -96, -24, 63, -71, -24, -39, 48, -20, 22, -37, -60, -20, -76, 83, -49, -22, -26, 93, 84, -31, 95, 45, 84, -10, 45, 92, 27, 5, 77, -58, -22, -16, -66, -45, -17, 6, 95, -81, -90, 55, 29, -87, 3, -18, 6, 74, 89, -4, 17, -42, -2, 15, 76, 100, -24, -8, -43, -37, 75, 50, 38],
            [2, 4, 46, 90, 28, 36, -100, -62, -21, 19, -5, -39, 64, 87, 42, -66, 42, 55, -11, -76, 81, -67, -71, -14, 22, -1, 3, 36, -36, 34, -46, -94, 55, -73, -51, -28, 14, 32, -51, 63, -6, -52, 75, 87, 52, -99, 47, 89, 50, 12, -17, -6, 81, -95, -67, -58, -95, 9, 50, -6, 81, -52, 48, 77, -71, -46, 91, -11, -84, 2, 77, -45, 18, 24, -16, 54, -27, 40, 3, -52, -27, 10, 82, -90, -26, -54, 26, 46, -63, -38, -99, -7, 19, 100, 48, -53, -81, -22, 83, 23],
            [-80, -4, -93, -3, -31, -100, -13, 33, -74, 95, -99, -33, -41, -98, 23, 50, 53, 33, -64, -97, -15, 33, 87, 32, -85, -47, -2, 17, 40, 62, -38, -96, 10, 33, 84, -60, 29, -54, 13, -98, -51, -89, -76, 89, -97, -33, -5, 29, 43, 16, 38, -100, -31, 80, -5, 92, 70, -63, -13, 66, -73, -71, 68, 2, 37, 35, 63, 63, -48, 3, -90, 45, -28, 80, -19, 1, -78, -62, 7, 86, -5, -54, 93, 23, -85, 14, -47, -4, 11, 25, -48, -95, 12, -82, 100, -30, 48, 76, 67, 80],
            [9, 48, -61, -81, -100, 36, -54, -83, -12, 17, -72, -4, 39, 71, -3, -13, -6, 88, -17, -16, 75, -36, -35, 34, 61, 3, 87, -2, -15, -14, 5, 19, -75, 60, -6, -36, -55, -40, 76, 75, -4, -74, -93, 90, 85, -40, 20, 42, -40, 4, 84, 68, -93, 39, -27, -36, 15, -30, -77, 89, 43, -48, -49, -78, -67, 69, -79, -52, 81, -94, 2, 29, -89, 95, 52, 40, 10, -95, 97, -100, 44, 66, -47, -74, 34, 28, -74, -67, 69, 14, 85, -81, 40, 13, 55, 100, -90, 17, -53, 25],
            [-68, 21, -7, -100, -17, -96, -14, 48, 77, -49, 19, -9, -96, 20, -3, -15, -62, 25, -5, -85, 58, -48, 86, -67, 66, -84, 30, 60, 6, 56, 52, -75, 28, 43, -89, -100, 4, -52, -47, -32, 91, -74, 41, 14, -99, 1, -6, 88, -30, -64, -7, 74, -82, 68, -40, 41, -20, 34, -72, -89, 78, -74, -5, -19, 51, -90, 11, 87, -12, -15, -80, 35, -81, -13, 11, 8, -42, -45, 55, 62, -74, 40, -49, -17, -43, -18, -54, -75, -6, -56, -35, -83, 84, 93, -73, -92, 100, -86, -12, -73],
            [31, 66, -100, 33, 24, -2, 53, -62, -69, -24, 39, -47, -51, -61, -37, -38, 40, 93, 42, -68, -10, 94, 50, 23, -81, 1, -32, -70, 16, 43, 2, 95, 19, 84, -33, 17, 3, -16, 57, -39, 51, 11, 47, -59, 29, 51, 74, -14, 37, -76, -80, 66, 94, -2, -20, -31, 49, -34, 44, -77, 9, 4, -63, -94, 47, 56, -77, -85, 84, -32, 68, -11, 30, 40, 14, -95, 0, -9, -85, -98, 95, -45, 98, -96, -75, -29, -11, -68, -4, -98, 32, 69, -26, 64, 11, -62, -98, 100, 20, 29],
            [63, -100, 51, -74, 72, 41, -74, -67, 2, 99, -1, -91, 35, 41, 98, -22, -88, 60, 70, -69, -13, 13, 8, -25, -54, 60, 40, -80, 10, 43, -53, 58, -83, 84, -99, -12, -21, -30, 3, -43, 100, -75, -77, 92, 44, -98, 36, 67, -38, 0, -34, -13, 76, -28, -12, -13, 24, -53, -24, 15, -10, 75, -59, -14, 7, 40, 28, 53, 33, 49, 33, 88, 5, 81, -24, 68, 51, -92, -59, -73, 21, -57, -3, -57, -13, -71, -47, -100, -89, 44, 69, -21, -94, 79, 38, 7, -62, -39, 100, -49],
            [-100, -67, -42, 22, 43, -43, 90, -57, 61, 79, -10, -27, 81, -70, 27, 85, -22, 9, 6, 37, 35, 20, -4, 80, 3, 99, 16, -31, -82, -95, 41, -29, -34, -9, -24, 56, -63, -36, 52, -96, 1, 29, 70, -9, 70, -22, 26, 46, 35, 60, -85, -90, -88, 8, -15, -21, -45, -18, 52, 16, -1, 50, 5, 72, -34, -54, -7, -28, 98, 52, -92, 37, -73, -77, 21, -47, 66, -21, -41, -58, 70, -55, -81, 96, 30, 41, 19, -57, 10, 44, 28, -90, 62, 37, -41, 81, 31, 30, -12, 100]
        ]
        self.assertEqual(main(arr), 20000)


if __name__ == '__main__':
    unittest.main()